function toggleMenu(button, showHideDiv)
{
	var icon = button.querySelector(".navIcon");
	var wrapper = document.getElementById(showHideDiv);
	var wrapperRect = wrapper.getBoundingClientRect();
	var container = wrapper.querySelector(".container");
	
	var contentHeight = container.clientHeight + 10;
	var duration = Math.pow(contentHeight, 1/3) * 70;
	
	if (wrapperRect.height)
	{
		icon.style.animation = "rotateFull 750ms ease-in-out 0s 1 normal forwards";
		icon.style.WebkitAnimation = "rotateFull 750ms ease-in-out 0s 1 normal forwards";		
	
		var offset = 0;
		
		if (contentHeight > window.innerHeight - wrapperRect.top)
		{
			offset = (contentHeight - window.innerHeight + wrapperRect.top) / contentHeight;
			
			var k = bezier_y(find_x_for(offset));
			
			offset = duration * -k;
		}
		
		wrapper.style.transition = "height " + duration + "ms ease " + offset + "ms";
		wrapper.style.height = 0;		
  	}
	else
	{
		icon.style.animation = "rotateHalf 750ms ease-in-out 0s 1 normal forwards";
		icon.style.WebkitAnimation = "rotateHalf 750ms ease-in-out 0s 1 normal forwards";		
		
		wrapper.style.transition = "height " + duration + "ms ease 0s";
		wrapper.style.height = (contentHeight) + "px";
  	}
}

var x1 = 0.1;
var y1 = 0.25;
var x2 = 1;
var y2 = 0.25;

var Cx = 3 * x1;
var Bx = 3 * (x2 - x1) - Cx;
var Ax = 1 - Cx - Bx;
 
var Cy = 3 * y1;
var By = 3 * (y2 - y1) - Cy;
var Ay = 1 - Cy - By;
 
function bezier_x(t) {
  return t * (Cx + t * (Bx + t * Ax));
}
 
function bezier_y(t) {
  return t * (Cy + t * (By + t * Ay));
}

function bezier_x_der(t) {
  return Cx + t * (2*Bx + t * 3*Ax);
}

function find_x_for(t) {
  var x = t, i = 0, z;
 
  while (i < 5) {
    z = bezier_x(x) - t;
    if (Math.abs(z) < 1e-3) break;
 
    x = x - z / bezier_x_der(x);
    i++;
  }
   
  return x;
}

function bounce(button)
{
	var bounceWrapper = button.querySelector(".bounceWrapper");
	var icon = bounceWrapper.querySelector(".navIcon");
	
	var animationName = icon.style.animationName;
	
	if (animationName == "rotateHalf")
	{
		bounceWrapper.style.animation = "bounceUp 750ms ease-in-out";
		bounceWrapper.style.WebkitAnimation = "bounceUp 750ms ease-in-out";
	}
	else
	{
		bounceWrapper.style.animation = "bounceDown 750ms ease-in-out";
		bounceWrapper.style.WebkitAnimation = "bounceDown 750ms ease-in-out";
	}
}

var curItem = "";

function toggleSelected(item)
{	
	var label = item.querySelector(".label");
	
	if (item != curItem && curItem != "")
	{
		var curLabel = curItem.querySelector(".label");
		curLabel.style.width = "210px";
		curLabel.style.backgroundColor = "rgb(0, 157, 224)";
	}
	
	label.style.width = "240px";
	label.style.backgroundColor = "rgb(26,23,27)";
	
	curItem = item;
}

function toggleHover(item)
{	
	var label = item.querySelector(".label");
	
	if (item != curItem)
	{
		label.style.width = "240px";
		label.style.backgroundColor = "rgb(0, 141, 202)";
	}
}

function resetHover(item)
{	
	var label = item.querySelector(".label");
	
	if (item != curItem)
	{
		label.style.width = "210px";
		label.style.backgroundColor = "rgb(0, 157, 224)";
	}
}
