from lxml import etree
import dtypes.xml
from dtypes import TData

class TStruct(dict, TData):
        

    def __repr__(self):
        return 'TStruct({})'.format(super(TStruct, self).__repr__())
            
    @classmethod
    def fromXML(cls, node):

        struct=dict()
        
        if node is not None:
            for child in node:
                tag=child.tag.lower()
                if tag == "field":
                    name=child.attrib["name"]
                    val=dtypes.xml.fromnode(child[0])                    
                    struct[name]=val                    
        return cls(struct)
                    
                    
    def data2xml(self):
        node=etree.Element("Struct")

        for field in self.keys():
            felem=etree.Element("field")
            felem.attrib["name"]=field
            felem.append(self[field].data2xml())
            node.append(felem)
        
        return node
