/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 10034 $
 * $Date: 2020-10-21 18:25:19 +0200 (Wed, 21 Oct 2020) $
 */
package at.lcm.symspace.center.icons;

import java.net.URL;

/**
 * Property Icons
 * 
 * @author Werner Koppelsttter
 */
public class IconProperty {

	/** Package of icons */
	private static final String pack = "/" + IconProperty.class.getPackage().getName().replace('.', '/') + "/";

	/** Icon for error property */
	public final static URL ERROR = IconProperty.class.getResource(IconProperty.pack + "Error.png");
	/** Icon for error property */
	public final static URL WARNING = IconProperty.class.getResource(IconProperty.pack + "Warning.png");
	/** Icon for modified property */
	public final static URL MODIFIED = IconProperty.class.getResource(IconProperty.pack + "Modified.png");
	/** Icon for uncertain property */
	public final static URL UNCERTAIN = IconProperty.class.getResource(IconProperty.pack + "Uncertain.png");
	/** Icon for constant property */
	public final static URL CONSTANT = IconProperty.class.getResource(IconProperty.pack + "Constant.png");
	/** Icon for read only property */
	public final static URL READONLY = IconProperty.class.getResource(IconProperty.pack + "ReadOnly.png");
	/** Icon for incomplete property */
	public final static URL INCOMPLETE = IconProperty.class.getResource(IconProperty.pack + "Incomplete.png");
	/** Icon for update required property */
	public final static URL UPDATEREQUIRED = IconProperty.class.getResource(IconProperty.pack + "UpdateRequired.png");
	/** Icon for lock property */
	public final static URL LOCK = IconProperty.class.getResource(IconProperty.pack + "Lock.png");
	/** Icon for empty property */
	public final static URL EMPTY = IconProperty.class.getResource(IconProperty.pack + "Empty.png");
	/** Icon for disabled property */
	public final static URL DISABLED = IconProperty.class.getResource(IconProperty.pack + "Disabled.png");
	/** Icon for protected property */
	public final static URL PROTECTED = IconProperty.class.getResource(IconProperty.pack + "Protected.png");
	/** Icon for private property */
	public final static URL PRIVATE = IconProperty.class.getResource(IconProperty.pack + "Private.png");
	/** Icon for component */
	public final static URL COMPONENT = IconProperty.class.getResource(IconProperty.pack + "Component.png");
	/** Icon for write-protected property */
	public final static URL WRITE_PROTECTED = IconProperty.class.getResource(IconProperty.pack + "WriteProtected.png");

}
