/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9714 $
 * $Date: 2020-03-19 09:37:13 +0100 (Thu, 19 Mar 2020) $
 */
package magopt.gui.icons;

import javax.swing.ImageIcon;

/**
 * Property Icons
 * 
 * @author Werner Koppelsttter
 */
public class IconProperty {

	/** Icon for error property */
	public final static ImageIcon ICON_ERROR = new ImageIcon(
			IconProperty.class.getResource("/magopt/gui/icons/Error.png"));
	/** Icon for modified property */
	public final static ImageIcon ICON_MODIFIED = new ImageIcon(
			IconProperty.class.getResource("/magopt/gui/icons/Modified.png"));
	/** Icon for uncertain property */
	public final static ImageIcon ICON_UNCERTAIN = new ImageIcon(
			IconProperty.class.getResource("/magopt/gui/icons/Uncertain.png"));
	/** Icon for constant property */
	public final static ImageIcon ICON_CONSTANT = new ImageIcon(
			IconProperty.class.getResource("/magopt/gui/icons/Constant.png"));
	/** Icon for read only property */
	public final static ImageIcon ICON_READONLY = new ImageIcon(
			IconProperty.class.getResource("/magopt/gui/icons/ReadOnly.png"));
	/** Icon for incomplete property */
	public final static ImageIcon ICON_INCOMPLETE = new ImageIcon(
			IconProperty.class.getResource("/magopt/gui/icons/Incomplete.png"));
	/** Icon for update required property */
	public final static ImageIcon ICON_UPDATEREQUIRED = new ImageIcon(
			IconProperty.class
					.getResource("/magopt/gui/icons/UpdateRequired.png"));
	/** Icon for lock property */
	public final static ImageIcon ICON_LOCK = new ImageIcon(
			IconProperty.class.getResource("/magopt/gui/icons/Lock.png"));
	/** Icon for empty property */
	public final static ImageIcon ICON_EMPTY = new ImageIcon(
			IconProperty.class.getResource("/magopt/gui/icons/Empty.png"));
	/** Icon for disabled property */
	public final static ImageIcon ICON_DISABLED = new ImageIcon(
			IconProperty.class.getResource("/magopt/gui/icons/Disabled.png"));
	/** Icon for protected property */
	public final static ImageIcon ICON_PROTECTED = new ImageIcon(
			IconProperty.class.getResource("/magopt/gui/icons/Protected.png"));
	/** Icon for private property */
	public final static ImageIcon ICON_PRIVATE = new ImageIcon(
			IconProperty.class.getResource("/magopt/gui/icons/Private.png"));
	/** Icon for database connection */
	public final static ImageIcon ICON_DATABASE = new ImageIcon(
			IconProperty.class.getResource("/magopt/gui/icons/Database.png"));
	/** Icon for component */
	public final static ImageIcon ICON_COMPONENT = new ImageIcon(
			IconProperty.class.getResource("/magopt/gui/icons/Component.png"));
	/** Icon for write-protected property */
	public final static ImageIcon ICON_WRITE_PROTECTED = new ImageIcon(
			IconProperty.class
					.getResource("/magopt/gui/icons/WriteProtected.png"));

}
