/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9714 $
 * $Date: 2020-03-19 09:37:13 +0100 (Thu, 19 Mar 2020) $
 */
package magopt.gui.view.pubinterface;

/**
 * Connects Column Indices with Column Header Names.
 * 
 * @author Werner Koppelsttter
 */
public enum PubInterfaceColumn {
	/** Type of parameter */
	NAME(0, "Name"),
	/** Name of parameter */
	PARAMETER(1, "Parameter"),
	/** Check valid of parameter */
	CHECK(2, "OK");

	/** Column number */
	private final int mColumn;
	/** Column name */
	private final String mName;

	/**
	 * Create enumeration
	 * 
	 * @param column
	 *            Column number
	 * @param name
	 *            Column name
	 */
	private PubInterfaceColumn(int column, String name) {
		this.mColumn = column;
		this.mName = name;
	}

	/**
	 * Get column number
	 * 
	 * @return Number
	 */
	protected int getValue() {
		return (this.mColumn);
	}

	/**
	 * Get column name
	 * 
	 * @return Name
	 */
	protected String getName() {
		return (this.mName);
	}

}
