/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 247 $
 * $Date: 2020-03-19 10:13:52 +0100 (Thu, 19 Mar 2020) $
 */
package at.lcm.bu21.optim.algorithm.me_nsga2;

import at.lcm.bu21.optim.algorithm.JPanelSolver;
import at.lcm.bu21.optim.core.Individual;
import at.lcm.bu21.optim.core.Problem;
import jmetal.util.JMException;

public class SsaME_Nsga2 extends ME_Nsga2 {

	public SsaME_Nsga2(Problem problem) throws JMException {
		super(problem);
	}

	@Override
	public String getOptimizerName() {
		return "Steady State Async " + super.getOptimizerName();
	}

	@Override
	public String getDescription() {
		return "Steady State Asynchronous " + super.getDescription();
	}

	@Override
	public JPanelSolver getPanel() {
		return new SsaME_Nsga2Panel(this);
	}

	@Override
	public Individual getNextIndividual() throws Exception {
		return this.getIndividual(this.solver.getOffspring().get(0));
	}

	@Override
	public void setResolvedIndividual(Individual ind) throws Exception {
		this.solver.union(this.getSolutionSet(ind));

	}

	@Override
	public boolean hasNext() {
		return true;
	}

}
