# -*- coding: utf-8 -*-
"""
Created on Thu Nov 27 13:53:15 2014

@author: gweidenholzer
"""

import os

import Pyro4
import imp   

from dtypes import TData
import dtypes.xml
from Pyro4.util import SerializerBase


# register the special serialization hooks
def tdata_class_to_dict(obj):
    return {
        "__class__": "magopt.tdata",
        "xml": dtypes.xml.toString(obj)
    }

def tdata_dict_to_class(classname, d):
    obj=dtypes.xml.fromString(d["xml"])
    return obj

@Pyro4.expose
class Server(object):

    _must_shutdown = False

    def echo(self, imports):
        return imports        

    def isValidScript(self,pyfile):
        module=imp.load_source("dummy", pyfile)
        return hasattr(module,"imports") and hasattr(module,"exports") and hasattr(module,"update")

    def hasHtml(self, pyfile):
        module=imp.load_source("dummy", pyfile)
        return hasattr(module,"html")

    def update(self, pyfile, imports):        
        module=imp.load_source("dummy", pyfile)
        return module.update(**imports)

    def html(self, pyfile, folder, impexp):
        print('Html Folder: ' + folder)
        module=imp.load_source("dummy", pyfile)
        return module.html(folder, **impexp)

    def functionID(self, pyfile):
        module=imp.load_source("dummy", pyfile)
        return module.functionID

    def imports(self, pyfile):
        module=imp.load_source("dummy", pyfile)
        return module.imports

    def exports(self, pyfile):
        module=imp.load_source("dummy", pyfile)
        return module.exports

    def shutdown(self):
        """called to signal the echo server to shut down"""
        print("shutting down...")
        self._must_shutdown = True

def startserver():

    SerializerBase.register_dict_to_class("magopt.tdata", tdata_dict_to_class)
    SerializerBase.register_class_to_dict(TData, tdata_class_to_dict)

    Pyro4.config.SERIALIZER = "serpent"
    Pyro4.config.SERVERTYPE = "multiplex"

    d=Pyro4.Daemon(host="localhost", port=int(os.environ["PythonServerPort"]))
    d._pyroHmacKey = os.environ['PythonHMacKey'].encode("utf-8")

    s=Server()
    uri = d.register(s, "magopt.pythonserver")
    print("server started at: " + uri.asString())

    d.requestLoop(loopCondition=lambda: not s._must_shutdown)
    d.close()
    print("server is down...")



startserver()