#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 10062 $
$LastChangedDate:: 2020-11-20 13:22:02 +0100#$

This file is part of SyMSpace.

Copyright (c) 2018, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

from symspace.console.script_utils import ScriptUtils
from symspace.wrapper.symwrapper import SymParameter, SymFunction


def main(parameter: SymParameter):
    if isinstance(parameter, SymFunction):
        parameter.generateInterfaceFields()
        print('Script finished successfully')
    else:
        raise Exception('The selected object has to be of type Function!')


if __name__ == '__main__':
    """
    This script automatically creates and links fields for imports and exports of a function.
    
    This script needs to be executed in the SyMSpace Python Console.
    """

    _params = locals()
    _parameter = ScriptUtils.getParameter(_params)
    ScriptUtils.run(main, _parameter)
