/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9720 $
 * $Date: 2020-03-19 15:59:49 +0100 (Thu, 19 Mar 2020) $
 */
package jobmanager;

/**
 * Status of jobs
 * 
 * @author Werner Koppelsttter
 */
public enum JobStatus {
	/** Job status is undefined */
	UNDEFINED,
	/** Job is created */
	CREATED,
	/** Job is submitted to a executing-queue */
	SUBMITTED,
	/** Job executes */
	RUNNING,
	/** Job completed execution */
	COMPLETED,
	/** Job is held */
	HELD,
	/** Job is removed */
	REMOVED,
	/** Job stopped because of timeout */
	TIMEOUT,
	/** An error occur */
	ERROR,
	/** Remove from executing queue */
	STOP,
	/** Restart Job */
	RESTART,
	/** Job complete execution */
	COMPLETE,
	/** Job submitting to execute-queue */
	SUBMIT,
	/** Job suspended execution */
	SUSPENDED

}
